Skip to main content
GET
/
v4
/
evaluation-configs
Python
import os
from scale_gp import SGPClient

client = SGPClient(
    api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
)
page = client.evaluation_configs.list()
page = page.items[0]
print(page.id)
package main

import (
"context"
"fmt"

"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)

func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.EvaluationConfigs.List(context.TODO(), sgp.EvaluationConfigListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.egp.scale.com/v4/evaluation-configs
const options = {method: 'GET'};

fetch('https://api.egp.scale.com/v4/evaluation-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "question_set_id": "<string>",
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "account_id": "<string>",
      "created_by_user_id": "<string>",
      "studio_project_id": "<string>",
      "auto_evaluation_parameters": {
        "temperature": 1,
        "batch_size": 13
      }
    }
  ],
  "total_item_count": 123,
  "current_page": 123,
  "items_per_page": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Query Parameters

page
integer
default:1

Page number for pagination to be returned by the given endpoint. Starts at page 1

Required range: x >= 1
limit
integer
default:100

Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.

Required range: 1 <= x <= 10000

Response

Successful Response

items
EvaluationConfigResponse · object[]
required

The data returned for the current page.

total_item_count
integer
required

The total number of items of the query

current_page
integer
required

The current page number.

items_per_page
integer
required

The number of items per page.